# $Revision: 1.23 $, $Date: 2004/04/01 22:41:01 $
Summary:	GLASS - openGL Articulated Structure System
Summary(pl):	GLASS - Biblioteka obsugi struktur 3D OpenGL
Name:		glass
Version:	1.3.1
Release:	2
License:	GPL
Group:		X11/Libraries
Vendor:		Robert Cleaver Ancell <bob27@users.sourceforge.net>
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	bcde18e3ce0bebb19cf888d652f8b425
Patch0:		%{name}-LIBS.patch
Patch1:		%{name}-DESTDIR.patch
BuildRequires:	OpenGL-devel
Requires:	OpenGL
URL:		http://glass.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%description
GLASS is a 3D library, designed to make easy use of structured models
(models, that are made up of components linked by basic transforms,for
example, rotations and translations) in open GL applications. By using
GLASS in an application, these models can be loaded, modified, and
displayed using a minimum of function calls.

%description -l pl
GLASS to biblioteka wspomagajca projektowanie aplikacji 3D, stworzona
aby uproci uycie modelu strukturalnego (modele, ktre skadaj si
z poczonych prostymi transformacjami czci, np. obrotw lub
przesuni) w aplikacjach 3D OpenGL. GLASS pozwala zaadowa,
zmodyfikowa i wywietla te obiekty przy uyciu minimalnej iloci
wywoa (co upraszcza kod).

%package devel
Summary:	GLASS development package
Summary(pl):	Pakiet dla programistw GLASS
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}

%description devel
GLASS header files. Contains also tutorial and specifications.

%description devel -l pl
Pliki nagwkowe biblioteki GLASS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} all \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC -Wall -I/usr/X11R6/include -DVERSION_STRING=\"\\\"%{version}\"\\\"" \
	LIBS="-L/usr/X11R6/%{_lib} -lGL"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INCLUDEDIR=%{_includedir}/glass \
	LIBDIR=%{_libdir}

cp -ar examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc docs/*.html
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/glass
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glass.spec,v $
Revision 1.23  2004/04/01 22:41:01  qboosh
- added DESTDIR patch, install header as <glass/glass.h>; release 2

Revision 1.22  2003/09/09 10:24:20  ankry
- spaces -> tab

Revision 1.21  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.20  2003/05/25 05:47:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/05/19 10:51:23  trojan
- updated to 1.3.1
- removed outdated patches
- fixed %%install

Revision 1.18  2003/04/08 11:29:37  qboosh
- use http for sources from sourceforge

Revision 1.17  2003/01/18 22:48:35  juandon
- removed two lines with define

Revision 1.16  2002/11/27 20:15:39  juandon
- new %%doc

Revision 1.15  2002/04/25 16:24:44  arturs
fixed a small typo

Revision 1.14  2002/02/22 23:28:57  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 20:13:28  qboosh
- standarized changelog preample

Revision 1.12  2001/11/12 22:54:52  kloczek
- adaptrerized.

Revision 1.11  2001/11/12 22:49:25  kloczek
- fixed installing examples,
- Group changed to X11/Libraries (and prefix to /usr/X116),
- added BuildRequires rules,
- added LIBS patch for correct linking glass library with libGL.

Revision 1.10  2001/11/12 22:32:24  kloczek
- removed dumb %doc macro.

Revision 1.9  2001/11/12 22:27:17  kloczek
- added -fPIC to CFALGS (object for shared objects must be compiled wit this).

Revision 1.8  2001/11/12 22:23:52  kloczek
- merged exampels subpackage with devel,
- add passing $RPM_OPT_FLAGS to CFLAGS and %%{__cc} to CC,
- adde -I/usr/X11R6/include to CFALAGS,
- few simplifications.

Revision 1.7  2001/11/12 21:06:09  fastviper
- add fixes for -examples package (use proper path to glut headers)

Revision 1.6  2001/11/12 20:52:13  fastviper
- added -example package
- added specifications and helpful tutorial do -devel package
- added symlinks in main package
- moved libs from -devel -- main package would provide no files ;-)

Revision 1.5  2001/11/09 13:06:22  qboosh
- changed Source URL to ftp

Revision 1.4  2001/11/09 13:04:11  qboosh
- separated -devel, fixed post/postun, FHS (includedir), gzip doc

Revision 1.3  2001/11/09 12:38:37  fastviper
- used adapter.awk
- added polish summary

Revision 1.2  2001/11/09 12:26:22  fastviper
- Added polish package description
- Moved libs do /usr/lib

Revision 1.1  2001/11/09 11:52:20  fastviper
- spec created
